/*
 * Copyright (c) 2023, 2024 Contributors to the Eclipse Foundation
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */
package ee.jakarta.tck.data.core.cdi;

import jakarta.persistence.Id;

/**
 * A test entity that will be persisted to a repository.
 * 
 * Is annotated with both persistence and nosql {@code @Entity}
 * to ensure the provider attribute of the repository is honored.
 */
@jakarta.nosql.Entity
@jakarta.persistence.Entity
public class Person {
    @Id
    public long id;
    public String firstName;
    public String lastName;
    public int age;
    
    public Person() {
        //blank
    }

    public Person(long id, String firstName, String lastName, int age) {
        this.id = id;
        this.firstName = firstName;
        this.lastName = lastName;
        this.age = age;
    }
    
}
